<?php
require_once '../../config.php';
require_once DIRLIBCOMP . 'SPDO.php';
$conexion = new SPDO(BDENGINE, BDHOST, BDDATABASE, BDUSER, BDPASS);

// Conseguimos los datos
$personas     = $_POST['personas'];
$servicio     = $_POST['servicio'];
$sala_horario = $_POST['sala_horario'];

// Obtenemos las plazas mínimas que requiere el servicio
$sql_plazas_servicio = "SELECT plazas_minimo
                        FROM servicios
                        WHERE id =" . $servicio;

$result_plazas_servicio = $conexion->query($sql_plazas_servicio);
$row_plazas_servicio    = $result_plazas_servicio->fetch();

$plazas_minimo = $row_plazas_servicio['plazas_minimo'];

// Conseguimos las plazas libres y la sala de la sala_horario
$sql_sala_horario_plazas = "SELECT *
                            FROM sala_horarios
                            WHERE id =" . $sala_horario;

$result_sala_horario_plazas = $conexion->query($sql_sala_horario_plazas);
$row_sala_horario_plazas    = $result_sala_horario_plazas->fetch();

$sala          = $row_sala_horario_plazas['sala_id'];
$plazas_libres = $row_sala_horario_plazas['plazas_libres'];


// Conseguimos las plazas que tiene la sala
// Conseguimos las plazas libres y la sala de la sala_horario
$sql_sala_plazas = "SELECT *
                    FROM salas
                    WHERE id =" . $sala;

$result_sala_plazas = $conexion->query($sql_sala_plazas);
$row_sala_plazas    = $result_sala_plazas->fetch();

$sala_plazas = $row_sala_plazas['plazas'];

// Comprobamos si hay al menos una reserva del mínimo ya
if($sala_plazas - $plazas_libres >= $plazas_minimo){
	echo 1;
}else{
	echo 0;
}

?>